curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NGA" \
-F "services=nga_drivers_license" \
-F "vendor_data=user-1234" \
-F "driver_license_number=ABC12345AA12" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NGA",
services=["nga_drivers_license"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="ABC12345AA12",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NGA",
Services: didit.Some([]string{"nga_drivers_license"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("ABC12345AA12"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NGA")
.services(List.of("nga_drivers_license"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("ABC12345AA12")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NGA',
'services' => ['nga_drivers_license'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'ABC12345AA12',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NGA",
Services = new string[] { "nga_drivers_license" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "ABC12345AA12",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NGA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NGA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇳🇬 नाइजीरिया
नाइजीरिया ड्राइविंग लाइसेंस (FRSC) सत्यापन API
Didit के साथ नाइजीरिया ड्राइविंग लाइसेंस (FRSC) का आधिकारिक डेटाबेस लुकअप। प्रति कॉल $0.20 से, कोई अनुबंध या न्यूनतम नहीं।
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NGA" \
-F "services=nga_drivers_license" \
-F "vendor_data=user-1234" \
-F "driver_license_number=ABC12345AA12" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NGA",
services=["nga_drivers_license"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="ABC12345AA12",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NGA",
Services: didit.Some([]string{"nga_drivers_license"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("ABC12345AA12"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NGA")
.services(List.of("nga_drivers_license"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("ABC12345AA12")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NGA',
'services' => ['nga_drivers_license'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'ABC12345AA12',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NGA",
Services = new string[] { "nga_drivers_license" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "ABC12345AA12",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NGA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NGA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
यह Federal Road Safety Corps के ड्राइविंग लाइसेंस रजिस्टर के विरुद्ध नाइजीरियाई ड्राइविंग लाइसेंस की जाँच करता है। रजिस्टर तभी उत्तर देता है जब लाइसेंस नंबर, नाम और जन्म तिथि आपस में मेल खाते हों। Didit इस सेवा को
POST /v3/database-validation/ के माध्यम से उपलब्ध कराता है, ताकि आप सबमिट किए गए डेटा की जाँच आधिकारिक स्रोत से कर सकें और सामान्यीकृत मिलान परिणाम प्राप्त कर सकें।
कवरेज
- कवरेज: ~ 100%
- देश: नाइजीरिया
- सेवा ID:
nga_drivers_license - डेटा डोमेन: पहचान
- श्रेणी: ड्राइविंग लाइसेंस
इनपुट
| फ़ील्ड | आवश्यक | उदाहरण |
|---|---|---|
driver_license_number | हाँ | ABC12345AA12 |
first_name | हाँ | John |
last_name | हाँ | Doe |
date_of_birth | हाँ | 1990-01-01 |
vendor_data | नहीं | user-1234 |
- आवश्यक इनपुट:
driver_license_number,first_name,last_name,date_of_birth - वैकल्पिक इनपुट:
vendor_data - सहमति: आवश्यक नहीं
- वर्कफ़्लो में उपलब्धता: वर्कफ़्लो में उपलब्ध
- कवरेज: ~ 100%
- कीमत: प्रति सफल क्वेरी $0.20
बॉडी पैरामीटर
string
डिफ़ॉल्ट:"NGA"
आवश्यक
इस डेटाबेस सेवा के लिए ISO 3166-1 alpha-3 देश कोड।उदाहरण:
NGAstring
डिफ़ॉल्ट:"nga_drivers_license"
आवश्यक
इस सेवा ID वाला एक ऐरे। सेवा को पिन करने से अनुरोध इसी सटीक डेटाबेस तक सीमित रहता है।उदाहरण:
nga_drivers_licensestring
डिफ़ॉल्ट:"ABC12345AA12"
आवश्यक
ड्राइविंग लाइसेंस नंबर।उदाहरण:
ABC12345AA12string
डिफ़ॉल्ट:"John"
आवश्यक
सत्यापित किया जाने वाला पहला नाम।उदाहरण:
Johnstring
डिफ़ॉल्ट:"Doe"
आवश्यक
सत्यापित किया जाने वाला उपनाम।उदाहरण:
Doestring
डिफ़ॉल्ट:"1990-01-01"
आवश्यक
YYYY-MM-DD प्रारूप में जन्म तिथि।उदाहरण: 1990-01-01string
डिफ़ॉल्ट:"user-1234"
इस व्यक्ति के लिए आपका स्थायी उपयोगकर्ता संदर्भ, जैसे आपकी आंतरिक उपयोगकर्ता ID। Didit इसका उपयोग स्वतंत्र जाँचों को उसी अंतिम उपयोगकर्ता से जोड़ने के लिए करता है और डुप्लिकेट पहचान से होने वाले शोर को कम करता है।उदाहरण:
user-1234इनपुट नियम और सत्यापन नोट्स
driver_license_numberमें अक्षर बड़े अक्षरों में होने चाहिए।driver_license_numberका[A-Z0-9]{8,20}से मेल खाना आवश्यक है।
इसे कैसे कॉल करें
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NGA" \
-F "services=nga_drivers_license" \
-F "vendor_data=user-1234" \
-F "driver_license_number=ABC12345AA12" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NGA",
services=["nga_drivers_license"],
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="ABC12345AA12",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NGA",
Services: didit.Some([]string{"nga_drivers_license"}),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("ABC12345AA12"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NGA")
.services(List.of("nga_drivers_license"))
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("ABC12345AA12")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NGA',
'services' => ['nga_drivers_license'],
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'ABC12345AA12',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NGA",
services: ["nga_drivers_license"],
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "ABC12345AA12",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NGA",
Services = new string[] { "nga_drivers_license" },
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "ABC12345AA12",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
हर सफल कॉल HTTP 200 लौटाता है। outcome_code फ़ील्ड बताता है कि वास्तव में क्या हुआ, उदाहरण के लिए, असली बायोमेट्रिक मिलान न होने (BIOMETRIC_NO_MATCH) और ऐसी सेल्फ़ी के बीच अंतर करना जिसे पढ़ा नहीं जा सका (BIOMETRIC_IMAGE_UNUSABLE)। दिखाई गई status डिफ़ॉल्ट सुविधा स्थिति है; आपकी कॉन्फ़िगर की गई आंशिक मिलान / कोई मिलान नहीं कार्रवाइयाँ इसे बदल सकती हैं।MATCH: रजिस्ट्री ने पहचान की पुष्टि की और जाँचा गया हर फ़ील्ड मेल खाता है।{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NGA",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH: पहचान संख्या मिल गई, लेकिन एक या अधिक व्यक्तिगत फ़ील्ड (आमतौर पर नाम या जन्म तिथि) पूरी तरह मेल नहीं खाए।{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NGA",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe"
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH: रजिस्ट्री ने सबमिट किए गए डेटा के लिए कोई मिलान नहीं लौटाया।{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
DOCUMENT_NOT_FOUND: सबमिट किया गया दस्तावेज़ नंबर रजिस्ट्री के किसी भी रिकॉर्ड से मेल नहीं खाता।{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NGA",
"match_type": "no_match",
"validations": [
{
"outcome_code": "DOCUMENT_NOT_FOUND",
"service_id": "nga_drivers_license",
"service_name": "Nigeria Driver's Licence (FRSC)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
लौटाया गया डेटा
source_data में दिखाई देने वाले सटीक फ़ील्ड इस पर निर्भर करते हैं कि रजिस्ट्री क्या लौटाती है। nga_drivers_license का जनरेट किया गया उदाहरण फ़िलहाल इस सामान्यीकृत संरचना का दस्तावेज़ीकरण करता है:
date_of_birthfirst_nameidentification_numberlast_name
मूल्य निर्धारण और SLA
नाइजीरिया ड्राइविंग लाइसेंस (FRSC) क्वेरी का शुल्क केवल तभी लिया जाता है जब Didit को सत्यापन स्रोत से निर्णायक परिणाम मिलता है।- प्रति कॉल कीमत: $0.20 USD।
- बिलिंग: प्रति सफल क्वेरी। जब रजिस्ट्री तक पहुँच न हो, आवश्यक फ़ील्ड गायब हों, या अनुरोध स्रोत तक पहुँचने से पहले अस्वीकार कर दिया जाए, तब आपसे शुल्क नहीं लिया जाता।
- विलंबता: आम तौर पर p95 < 2 s।
- उपलब्धता: Didit की ओर से प्रति तिमाही 99.9%; डाउनस्ट्रीम स्रोत की उपलब्धता देश और डेटासेट के अनुसार बदलती है।
आगे पढ़ें
अंतिम संशोधन 7 नवंबर 2026